List Projects
/unified/crm/projects
Query Parameters
Refer Specifying query parameters in Truto APIs
The date and time of the project's last update
5 supported
1 supported
The project's name
5 supported
The project's tags
3 supported
The tag's unique identifier
The tag's name
The project's owner
4 supported
The owner's unique identifier
The owner name
The project's stage
2 supported
The stage's unique identifier
The stage's name
The date and time of the project's creation
5 supported
The project's status
closedcompletedin progressopenover_budgetoverdueplannedrunning
4 supported
openclosedcompletedin progressopenplannedrunningoverdueover_budgetclosedThe date and time of the project's close date
3 supported
amountcreated_atnameupdated_at
3 supported
created_atupdated_atnamecreated_atupdated_atnamenameamountThe project's description
4 supported
The project's account
4 supported
The account's unique identifier
The account name
The project's opportunity
3 supported
The opportunity's unique identifier
The opportunity name
The project's contacts
3 supported
The contact's unique identifier
The contact name
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Projects
The project's unique identifier
5 supported
The project's account
4 supported
2 properties
The account's unique identifier
The account name
The project's amount
2 supported
The date and time of the project's close date
3 supported
The project's contacts
3 supported
2 properties
The contact's unique identifier
The contact name
The date and time of the project's creation
5 supported
The amount attribute's currency
2 supported
The project's description
4 supported
The date and time of the project's last activity
2 supported
The project's name
5 supported
The project's opportunity
3 supported
2 properties
The opportunity's unique identifier
The opportunity name
The project's owner
4 supported
2 properties
The owner's unique identifier
The owner name
Raw data returned from the remote API call.
The project's stage
2 supported
2 properties
The stage's unique identifier
The stage's name
The project's status
4 supported
The project's tags
3 supported
2 properties
The tag's unique identifier
The tag's name
The date and time of the project's last update
5 supported
curl -X GET 'https://api.truto.one/unified/crm/projects?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/projects?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/projects"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'projects',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"projects",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())